// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "RenderPipeline.hpp"
#include "game/DawnGame.hpp"

using namespace Dawn;

RenderPipeline::RenderPipeline(RenderManager &renderManager) :
  renderManager(renderManager)
{
}

void RenderPipeline::init() {

}

void RenderPipeline::render() {
  this->renderScene(*this->renderManager.game.scene);
}

RenderPipeline::~RenderPipeline() {

}