// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"

namespace Dawn {
  class DummyComponent : public SceneItemComponent {
    public:
      DummyComponent(SceneItem &item) :
        SceneItemComponent(item)
      {
        std::cout << "Dummy Component Initialized" << std::endl;
      };

      void start() override;
  };
}